/**
 * The entry point for the script, this function will be called when the user presses
 * the RUN button in the scripting widget. Any call to access the controller must be
 * initiated within this function.
 */
async function main() {
	/*
	 * To debug this script, open the debugger in the main application window that
	 * spawned this window. For most browser, press F12 to enable debugging.
	 *
	 * The 'debugger' keyword is an inline breakpoint. Uncomment the following line to stop
	 * the script at main when the debugger is opened.
	 */

	const SCRIPT_START_MESSAGE = '--- Script started ---';
	const SCRIPT_END_MESSAGE = '--- Script ended ---';

	/* Log message to console (Press 'F12' to open the console) */
	console.log(SCRIPT_START_MESSAGE);

	/* Log to text file - */
	// TODO: Determine where file is saved
	//log(SCRIPT_START_MESSAGE);

	// Read register
	let value = readRegister(0x01);
	console.log(value);

	// Example of sending a command to the EVM (asynchronous, does not return data)
	send('id');

	// Example of sending a command to the EVM (synchronous, returns response)
	let response = await sendSync('id');
	console.dir(response);

	// Collect data
	// NOTE: Data is not plotted at the moment!
	let dataArray = collect(10);
	console.log(dataArray);

	// End
	console.log(SCRIPT_END_MESSAGE);
	//log(SCRIPT_END_MESSAGE);
}