/******************************************************************************************
 * To add additional script to the scripting widget, create/upload a JavaScript file
 * to the 'scripts' folder. Open the scripting.html file in the editor by double clicking
 * the file in the Project view. Append the filename to the 'scripts' attribute in the
 * ti-widget-scripting element, separated each script filename by a comma.
 ******************************************************************************************/

// IMPORTANT: The invoke() function is a BLOCKING function that waits for Q promises to resolve before returning.
// The invoke() does not work with functions that return a native JS promise.

function readRegister(regAddr) {
	return invoke('readValue', [{ addr: +regAddr }]);
}

function writeRegister(regAddr, regValue) {
	return invoke('writeValue', [{ addr: +regAddr }, +regValue]);
}

// Returns an array of data upto 'buffer-size' (as specified in scripting.html)
function collect(numSamples) {
	return invoke('startCollect', [numSamples]);
}

// Sends a command string to the firmware, but does not return any values
function send(cmdString) {
	return invoke('encoder', cmdString);
}

// Sends a command string to the firmware, returns last response
function sendSync(cmdString, timeout_ms) {
	timeout_ms = timeout_ms || 5000;	// default: 5 second timeout
	return invoke('sendCommand', [cmdString, timeout_ms]);
}


// TODO: Create a function to write array data to JSON/CSV file (StreamWriter)

// TODO: Create a function to analysis data and plot it